//////////////////////////////////////////////////////////////         
//      $Id: search.h,v 1.9.6.1 2003/03/13 00:05:21 rnolden Exp $ 
//
// Author: Toivo Pedaste
//
#ifndef SEARCH_H
#define SEARCH_H

#include "../config.h"

// Standard Headers
#include <stdio.h>


class QLineEdit;
class QCheckBox;

// KDE headers
#include <kapplication.h>
#include <kmenubar.h>
#include <kdialogbase.h>

class Search : public KDialogBase
{
  Q_OBJECT

public:

  Search ( QWidget *parent = 0, const char * name=0);
  ~Search(); 

private:
  QCheckBox *substr;
  QCheckBox *wrap;
  QLineEdit *value;

signals:
    void search_signal();
    void search_done_signal();

public slots:
    void done_slot();
    void ok_slot();
    void textChanged(const QString &);
};
#endif
